﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using OtterUnitTestFramework.Public;
using ASPNETWebApplicationTester.Test;

namespace ASPNETOtterUnitTestFrameworkRunner
{
    /// <summary>
    /// Class that runs the Simple Unit Test Framework.
    /// </summary>
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {

            //create the framework object
            OtterUnitTestFrameworkApplication framework = OtterUnitTestFrameworkApplication.GetInstance();
            //register test(s)
            framework.TestRegistration.RegisterTest(new TestCase());
            framework.TestRegistration.RegisterTest(new SecondTestCase());
            framework.TestRegistration.RegisterTest(new ThirdTestCase());
            //execute application
            framework.ExecuteApplication();
        }
    }
}
