using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace OtterUnitTestFramework.Forms
{
    public partial class SimpleMessageForm : Form
    {
        /// <summary>
        /// Default constructor. Holds the message to be displayed.
        /// </summary>
        /// <param name="message">Message</param>
        public SimpleMessageForm(String message)
        {
            InitializeComponent();
            //fill in error message
            if (message != null)
            {
                _rtbMessage.Text = message;
            }
        }

        /// <summary>
        /// Close this Form.
        /// </summary>
        /// <param name="sender">Sender Object</param>
        /// <param name="e">Event Object</param>
        private void BtnClose_Click(object sender, EventArgs e)
        {
            //close this form
            this.Close();
        }
    }
}