using System;
using System.Collections.Generic;
using System.Text;
using ASPNETWebApplicationTester.Exceptions;

namespace ASPNETWebApplicationTester.Classes
{
    /// <summary>
    /// This class has methods to be executed for the tests.
    /// </summary>
    class Executer
    {
        /// <summary>
        /// Causes an exception to be thrown.
        /// </summary>
        public void ThrowException()
        {
            throw new Exception("This exception was thrown by Executer.ThrowException");
        }

        /// <summary>
        /// Causes a TestException to be thrown.
        /// </summary>
        public void ThrowTestException()
        {
            throw new TestException("This exception was thrown by Executer.ThrowTestException");
        }
    }
}
