using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace ASPNETWebApplicationTester.Exceptions
{
    /// <summary>
    /// A Exception for testing purposes.
    /// </summary>
    class TestException : Exception
    {
        public TestException() : base() 
		{				
		}

		public TestException(String msg) : base(msg) 
		{						
		}

		public TestException(String msg, Exception innerExc) : base(msg, innerExc) 
		{
		}

        protected TestException(SerializationInfo info, StreamingContext context)
            : base(info, context)
		{
		}
    }
}
