using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace OtterUnitTestFramework.Exceptions
{
    /// <summary>
    /// This Exception is used when an Assertion fails. These assertions
    /// belong to the class OtterUnitTestFramework.Public.Assert.
    /// </summary>
    [Serializable]
    internal class AssertionException : Exception
    {
        public AssertionException() : base() 
		{				
		}

		public AssertionException(String msg) : base(msg) 
		{						
		}

		public AssertionException(String msg, Exception innerExc) : base(msg, innerExc) 
		{
		}

        protected AssertionException(SerializationInfo info, StreamingContext context)
            : base(info, context)
		{
		}
    }
}
